Camstream: CamStream API documentation

Main Page Class Hierarchy Compound List File List Compound Members File Members

# CVideoDeviceTuner Class Reference

Tuner on V4L device. More...

`#include <VideoDeviceTuner.h>`

Inheritance diagram for CVideoDeviceTuner::

List of all members.

## Public Types

- enum {
  PAL, NTSC, SECAM, PAL_NC,
  PAL_M, PAL_N, NTSC_JAPAN, MAX
  }

## Public Methods

- CVideoDeviceTuner (CVideoDevice *_video, int _tuner)
- const QString GetName ()
- float GetLowestFrequency () const
- float GetHighestFrequency () const
- float GetFrequency () const
- bool SetFrequency (float freq)
- bool HasNorm () const
- void SetNorm (int norm)
- int GetNorm () const

## Public Attributes

- enum CVideoDeviceTuner:: { ... } TunerNorms

## Detailed Description

Tuner on V4L device.

This class sets the frequency and norm on the TV or radio tuner on a TV/radio card. The frequency is represented as a float number in Hz.

There are three basic TV systems on this planet: PAL, NTSC and SECAM. There are also small variations in these systems, called norms. There are norms like PAL-B, -D, -G, -H, -I, M, -N, -MC; NTSC has two versions, `plain' NTSC (as used in the USA) and NTSC-Japan. SECAM seems to have only one norm. In practice, these norms are all the same when viewing a broadcast; as far as I know the main differences lie in the assignment of the hidden line numbers to services like TeleText, Closed Captioning, etc.

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  PAL |
  NTSC |
  SECAM |
  PAL_NC |
  PAL_M |
  PAL_N |
  NTSC_JAPAN |
  MAX |

## Constructor & Destructor Documentation

CVideoDeviceTuner::CVideoDeviceTuner ( | CVideoDevice * _video,
| int _tuner )

  | Constructor. Parameters:
  _video | Master VideoDevice object
  _tuner | Tuner number (should rarely be > 0)

## Member Function Documentation

float CVideoDeviceTuner::GetFrequency ( | ) const

| Return frequency of tuner, in Hz. Returns: -1.0 in case of failure

float CVideoDeviceTuner::GetHighestFrequency ( | ) const

float CVideoDeviceTuner::GetLowestFrequency ( | ) const

const QString CVideoDeviceTuner::GetName ( | )

int CVideoDeviceTuner::GetNorm ( | ) const

bool CVideoDeviceTuner::HasNorm ( | ) const

| Returns whether this input can have its norm set.

bool CVideoDeviceTuner::SetFrequency ( | float freq )

  | Set frequency. Parameters:
  freq | Desired frequency, in Hz
Returns: FALSE if device refused the frequency or was not able to, TRUE with success

void CVideoDeviceTuner::SetNorm ( | int norm )

## Member Data Documentation

enum { ... } CVideoDeviceTuner::TunerNorms

The documentation for this class was generated from the following files:

- VideoDeviceTuner.cc
- VideoDeviceTuner.h